Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface Configuration.LocalAuthenticationConfig

Enclosing interface:
  Configuration

    public static interface Configuration.LocalAuthenticationConfig

Maps the Remote API LMAC (Local Message Authentication Code) settings.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Method Summary
`java.lang.String` | `getAuthenticationAlgorithm()` Gets the Authentication Algorithm.
`java.lang.String` | `getAuthenticationKey()` Gets the Authentication Key.
`boolean` | `isLocalAuthenticationEnabled()` Checks whether Local Authentication is Enabled.
`void` | `setAuthenticationAlgorithm(java.lang.String algorithm)` Sets the Authentication Algorithm.
`void` | `setAuthenticationKey(java.lang.String key)` Sets the Authentication Key.
`void` | `validate()` Validates the LocalAuthentication section.

Method Detail

### isLocalAuthenticationEnabled

    boolean isLocalAuthenticationEnabled()

  Checks whether Local Authentication is Enabled.

  Parameters:
    None.

  Returns:
    `boolean` - Returns true or false.
  Throws:
    None.

### getAuthenticationKey

    java.lang.String getAuthenticationKey()

  Gets the Authentication Key.

  Parameters:
    None.

  Returns:
    `String` - Returns the Authentication Key.
  Throws:
    None.

### setAuthenticationKey

    void setAuthenticationKey(java.lang.String key)
                              throws SAGApplicationException

  Sets the Authentication Key.

  Parameters:
    `key` - Authentication Key
  Throws:
    `SAGApplicationException` - upon error.

### getAuthenticationAlgorithm

    java.lang.String getAuthenticationAlgorithm()

  Gets the Authentication Algorithm.

  Parameters:
    None.

  Returns:
    `String` - Returns the Authentication Algorithm.
  Throws:
    None.

### setAuthenticationAlgorithm

    void setAuthenticationAlgorithm(java.lang.String algorithm)
                                    throws SAGApplicationException

  Sets the Authentication Algorithm.

  Parameters:
    `algorithm` - Authentication Algorithm
  Throws:
    `SAGApplicationException` - upon error.

### validate

    void validate()
                  throws SAGApplicationException

  Validates the LocalAuthentication section.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.